#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "GameplayTagContainer.h"
#include "BackendAccessibleStringEntry.generated.h"

USTRUCT(BlueprintType)
struct FBackendAccessibleStringEntry : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Text;

	UPROPERTY(EditAnywhere)
	FGameplayTag FeatureTag;

public:
	DEADBYDAYLIGHT_API FBackendAccessibleStringEntry();
};

FORCEINLINE uint32 GetTypeHash(const FBackendAccessibleStringEntry) { return 0; }
